## gnubg 0.90+20120127

=== debian/changelog ===
gnubg (0.90+20120127-3) unstable; urgency=low

  * Depend on libpng-dev instead of libpng12-dev.  (Closes: #662355)

 -- Russ Allbery <rra@debian.org>  Sun, 04 Mar 2012 20:11:41 -0800

gnubg (0.90+20120127-2) unstable; urgency=low

  * Fix the logic to avoid building the bearoff database for arch-only
    builds.  We can't use an -indep override of dh_auto_build yet, since
    the buildds still call that.  Instead, use an -indep override of
    dh_prep to re-enable building the bearoff database for
    arch-independent builds.  Should fix build issues on kFreeBSD, where
    for some reason system limits never allow building the bearoff
    database.
  * Set LIBOVERLAY_SCROLLBAR to 0 in the gnubg desktop file when starting
    gnubg.  This works around a bug in either gnubg or Ubuntu's desktop
    that causes the desktop to become unresponsive until the program is
    killed.  Thanks, Michael Petch.  (LP: #932455)
  * Update standards version to 3.9.3 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 03 Mar 2012 19:26:15 -0800

gnubg (0.90+20120127-1) unstable; urgency=low

  * New upstream development snapshot.
    - Fixes random.org GET interface.  (LP: #507629)
    - Fixes crashes when built with _FORTIFY_SOURCE and hardening flags.
      (LP: #310236, #433487, #666298, #755247, #762221)
  * Incorporate NMU (thanks, Steve M. Robbins):
    - Change libgmp3-dev build dependency to libgmp-dev.
  * Update to debhelper compatibility level V9.
    - Enable compiler hardening flags.
    - Use dpkg-buildflags environment variables to add --as-needed.
    - Use the new -arch and -indep override support to handle selectively
      suppressing the builds of the bearoff databases.
  * Use dh-autoreconf to rebuild the Autotools build system.
  * Move the /usr/share/gnubg/gnubg.wd symlink to the gnubg package to
    avoid shipping a dangling symlink to gnubg-data.  The old way worked,
    but the symlink and its target may as well be in the same package.
  * Update to Debian source package format 3.0 (quilt) with a single
    Debian patch and a local patch header.
  * Translation updates:
    - Italian, thanks Francesca Ciceri.  (Closes: #657451)
    - Polish, thanks Michał Kułach.  (Closes: #657503)
    - Danish, thanks Joe Dalton.  (Closes: #605074)
    - Clean up the formatting and metadata of all po files.  Thanks,
      Christian PERRIER.
  * Update standards version to 3.9.2.
    - Remove Conflicts and Replaces for packages only in oldstable.

 -- Russ Allbery <rra@debian.org>  Sat, 04 Feb 2012 16:24:05 -0800

gnubg (0.90+20091206-4) unstable; urgency=low

  * Avoid building the one-sided rollout database during an
    architecture-dependent build.  Not only does this avoid wasted time on
    the buildds, since it's an architecture-independent file, but it
    should hopefully fix FTBFS problems on the kfreebsd-* buildds.
  * Enable SSE on all amd64 systems, not just Linux ones.
  * Add a trailing blank line to NEWS.Debian.

 -- Russ Allbery <rra@debian.org>  Thu, 21 Jan 2010 14:44:59 -0800

gnubg (0.90+20091206-3) unstable; urgency=low

  * Disable SSE on ia64.  Although the upstream configure script thinks it
    should work, gcc on ia64 does not appear to support the -msse or
    -msse2 options.

 -- Russ Allbery <rra@debian.org>  Sun, 17 Jan 2010 23:56:22 -0800

gnubg (0.90+20091206-2) unstable; urgency=low

  * Do not move the upstream changelog in the gnubg-data package if that
    package is not being built (such as during binary-only builds on the
    buildd network).

 -- Russ Allbery <rra@debian.org>  Mon, 14 Dec 2009 01:49:00 -0800

gnubg (0.90+20091206-1) unstable; urgency=low

  * New upstream development snapshot.
    - Now uses Canberra for sound.  (Closes: #548398)
    - Small, non-resizeable dialog boxes with some fonts should now be
      fixed.  (Closes: #477975)
    - Now uses docbook2x, dblatex, and xsltproc to build documentation.
    - Build with threading.
    - Build with SSE2 support on amd64.
  * Fix upstream "available" spelling error detected by Lintian.
  * Fix upstream man page hyphen by post-processing the generated man
    page, working around a bug in the Docbook to man conversion.
  * Stop attempting to reduce the number of underlying libraries gnubg is
    linked with.  The attempt is fragile and difficult to maintain and
    caused problems with binutils-gold support.  binutils-gold will
    hopefully replace the regular linker with one that automatically
    suppresses unnecessary link dependencies.  Instead, pass --as-needed
    to the linker.  (Closes: #554672)
  * Upstream now installs a regular hicolor icon set, so modify the
    desktop file to enable the automatic icon path searching.
  * Depend on ttf-dejavu-core and symlink the fonts used by gnubg to
    the versions in that package instead of including separate copies of
    the Bitstream Vera fonts.
  * Build-depend on libreadline-dev instead of libreadline5-dev.
    (Closes: #553886)
  * Use autoreconf instead of running the separate programs individually.
  * Don't fail make clean if no Makefile.in files have been created.
  * Move the upstream changelog into the gnubg-data package, but still
    install it as /usr/share/doc/gnubg/changelog.gz.
  * Update README.Debian to remove references to optional features.  The
    upstream configure process is now much simpler, with far fewer
    optional bits.  Remove references to features upstream no longer has.
  * Update get-orig-source logic to use the version from debian/changelog
    and download snapshots again.
  * Update to debhelper compatibility level V7.
    - Use debhelper rule minimization with overrides.
    - Use debian/clean to specify most of the extra files to remove.
    - Add ${misc:Depends} to gnubg-data.
  * Update standards version to 3.8.3 (no changes required).
  * Translation updates:
    - Russian, thanks Yuri Kozlov.  (Closes: #540602)
    - Spanish, thanks Francisco Javier Cuadrado.  (Closes: #528174)


