=== debian/control ===
Source: gnubg
Section: games
Priority: optional
Maintainer: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 9), bison, dblatex, dh-autoreconf, docbook2x,
 docbook-xsl, flex, libcairo2-dev, libcanberra-gtk-dev, libfreetype6-dev,
 libglib2.0-dev, libgmp-dev, libgtk2.0-dev, libgtkglext1-dev,
 libncurses-dev, libpng-dev, libreadline-dev, libsqlite3-dev,
 python-dev, texinfo, xsltproc
Standards-Version: 3.9.3
Homepage: http://www.gnubg.org/
Vcs-Git: git://git.eyrie.org/debian/gnubg.git
Vcs-Browser: http://git.eyrie.org/?p=debian/gnubg.git

Package: gnubg
Architecture: any
Depends: gnubg-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: gnubg-data (<< 0.90+20120127-1~)
Suggests: kbackgammon
Description: graphical or console backgammon program with analysis
 GNU Backgammon is a strong backgammon program (world-class with a bearoff
 database installed) usable either as an engine by other programs or as a
 standalone backgammon game.  In addition to supporting simple play, it
 also has extensive analysis features, a tutor mode, adjustable
 difficulty, and support for exporting annotated games.  It can be played
 either from a GTK+ graphical interface, optionally with a 3D board, or
 from a simple text console.
 .
 GNU Backgammon is still under initial development and should be
 considered beta software.

Package: gnubg-data
Architecture: all
Depends: ${misc:Depends}, ttf-dejavu-core
Recommends: gnubg (>= ${source:Version})
Description: data files for GNU Backgammon
 GNU Backgammon is a strong backgammon program (world-class with a bearoff
 database installed) usable either as an engine by other programs or as a
 standalone backgammon game.  In addition to supporting simple play, it
 also has extensive analysis features, a tutor mode, adjustable
 difficulty, and support for exporting annotated games.
 .
 This package contains the data files needed by GNU Backgammon (textures
 sounds, locale information, neural network weights, and so forth).
