=== debian/watch ===
# watch -- Rules for uscan to find new upstream versions.

version=3
ftp://alpha.gnu.org/gnu/gnubg/gnubg-(.*)\.tar\.gz
