## gnubg 0.90+20120429

=== debian/changelog ===
gnubg (0.90+20120429-1) unstable; urgency=low

  * New upstream development snapshot.
    - Remove inclusion of specific glib headers, which is no longer
      permitted as of glib 2.32.  (Closes: #665539)
  * Update mkinstalldirs in the source package to work around a strange
    interaction between autoreconf and dh_autoreconf where the former will
    update it, the latter will therefore remove it on clean, and then the
    former will not copy it back into the tree.

 -- Russ Allbery <rra@debian.org>  Sat, 28 Apr 2012 20:56:26 -0700
