## gnubg 1.01.003

=== debian/changelog ===
gnubg (1.01.003-1) unstable; urgency=low

  * New upstream release.
    - Now correctly finds GTKGLEXT.  (Closes: #713503)
    - Disable overlay scroll bars on Ubuntu, which works around a problem
      with GtkCList on current Ubuntu.  (LP: #1002063)
    - Use stronger default settings for the computer opponent.
    - Update neural nets for better play.
    - Various improvements to the Python interface.
    - Multiple bug fixes.
  * Drop the override in gnubg.desktop to disable overlay scroll bars.
    This should now be handled by the build system.
  * Drop special per-architecture handling of --enable-sse.  Upstream now
    probes for this during configure and at runtime and should do the right
    thing.
  * Move query_player.sh to /usr/share/doc/gnubg/examples since it
    requires editing before it can be used.
  * Add some keywords to the desktop file.  (It's quite hard to tell what
    would be useful here.  Backgammon is already covered by GenericName.)
  * Simplify debian/rules handling of suppressing bearoff database builds
    now that the buildds use build-arch and build-indep properly.
  * Move the tools for building the documentation to Build-Depends-Indep.
    Pre-build versions of the documentation will be used by the upstream
    build system and then discarded during a binary-only build, so this
    saves some work installing packages on the buildds.
  * Remove the beta software warning from the description.  GNU Backgammon
    has been quite stable for years and now has a 1.0 release.
  * Use xz compression for the binary packages.
  * Update watch file for new upstream release naming.
  * Remove get-orig-source target since the upstream source no longer
    requires repacking and there are now regular release tarballs.
  * Rewrite debian/copyright into copyright-format 1.0.
  * Update standards version to 3.9.4 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 21 Jul 2013 18:39:36 -0700
