## gnubg 1.02.000

=== debian/changelog ===
gnubg (1.02.000-2) unstable; urgency=medium

  * Setting urgency to medium because gnubg won't currently run on any
    host that does not have AVX SIMD extensions.
  * Return to the previous behavior of enabling only SSE2 on amd64 and not
    enabling any SIMD classes on i386 or ia64.  We can't assume anything
    about i386 processors (at least yet), and I don't know enough about
    ia64 to pick good defaults, so err on the side of safety.  Wikipedia
    claims that all x86-64 CPUs implement at least SSE2.  Disable support
    for AVX, fixing problems on hosts without it.  (Closes: #724685)

 -- Russ Allbery <rra@debian.org>  Thu, 26 Sep 2013 13:22:48 -0700

gnubg (1.02.000-1) unstable; urgency=low

  * New upstream release.
    - Enable sound properly if available but not enabled by default.
    - Fix assertion failure after requesting a hint on a resignation in a
      previous game in the match.  (Closes: #722956)
    - New command-line option -s to specify the preferences directory.
    - Preliminary support for a Python interface to hinting.
    - Fix the stop button on the status bar.
    - Memory and CPU usage improvements.
    - Fix some unnecessary pop-up messages.

 -- Russ Allbery <rra@debian.org>  Sat, 14 Sep 2013 14:13:00 -0700
