=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: games
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
-Build-Depends: debhelper (>= 9), bison, dblatex, dh-autoreconf, docbook2x,
- docbook-xsl, flex, libcairo2-dev, libcanberra-gtk-dev, libfreetype6-dev,
- libglib2.0-dev, libgmp-dev, libgtk2.0-dev, libgtkglext1-dev,
- libncurses-dev, libpng-dev, libreadline-dev, libsqlite3-dev,
- python-dev, texinfo, xsltproc
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), bison, dh-autoreconf, flex,
+ libcairo2-dev, libcanberra-gtk-dev, libfreetype6-dev, libglib2.0-dev,
+ libgmp-dev, libgtk2.0-dev, libgtkglext1-dev, libncurses-dev, libpng-dev,
+ libreadline-dev, libsqlite3-dev, lsb-release, python-dev
+Build-Depends-Indep: dblatex, docbook2x, docbook-xsl, texinfo, xsltproc
+Standards-Version: 3.9.4
 Homepage: http://www.gnubg.org/
 Vcs-Git: git://git.eyrie.org/debian/gnubg.git
 Vcs-Browser: http://git.eyrie.org/?p=debian/gnubg.git
@@ -25,9 +25,6 @@
  difficulty, and support for exporting annotated games.  It can be played
  either from a GTK+ graphical interface, optionally with a 3D board, or
  from a simple text console.
- .
- GNU Backgammon is still under initial development and should be
- considered beta software.
 
 Package: gnubg-data
 Architecture: all
