=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,16 @@
 # Add --as-needed to drop a few unnecessary dependencies.
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+# Only build with SSE on amd64.  We can't assume that processor for i386,
+# and it fails to build on ia64 since GCC there doesn't support -msse or
+# -msse2 (as of 2010-01-17).
+DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+ifeq ($(DEB_HOST_ARCH_CPU),amd64)
+    SSE = --enable-simd=sse2
+else
+    SSE = --enable-simd=no
+endif
+
 %:
 	dh $@ --with autoreconf
 
@@ -16,7 +26,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gtk --with-board3d --with-sqlite \
-	    --with-python --enable-threads
+	    --with-python --enable-threads $(SSE)
 
 # Disable building the rollout databases during an architecture-specific
 # build.  It takes too long and is too large.  We'll instead build the
