## gnubg 1.04.000

=== debian/changelog ===
gnubg (1.04.000-1) unstable; urgency=medium

  * New upstream release.
    - Improve position analysis with one-sided database.
    - Fix re-evaluation of play from the analysis panel.
    - Fix bug in MAT file import.
    - Support Python 3.x.
  * Update standards version to 3.9.6 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 26 Oct 2014 13:55:20 -0700

gnubg (1.03.001-1) unstable; urgency=medium

  * New upstream release.
    - Fix crash on termination or stopping an analysis.
    - Fix incorrect mutex management with newer GLIB.  (LP: #1346567)
    - Improved external interface that is re-entrant and supports quit and
      version commands.  Fix various other issues with this interface.
    - Multiple improvements to the Python support.
    - Add set aliases command to list player names for MAT file import.
    - Improvements to eXtreme Gammon file imports.
    - Display match statistics when a match analysis is completed.
  * Convert the packaging to a proper quilt series of changes to upstream
    instead of building with single-debian-patch.
  * Remove man pages added by the Debian packaging, since these have now
    been incorporated upstream.
  * Remove the strength comment in README.Debian, which is already covered
    sufficiently in the package description.
  * Convert the 16x16 and 32x32 PNG icons to XPM format during the build
    and reference them from the menu file.  Thanks to Markus Koschany for
    the report.  (Closes: #737914)
  * Drop now-unnecessary dh_builddeb override to use xz compression.
  * Update standards version to 3.9.5 (no changes required).

 -- Russ Allbery <rra@debian.org>  Mon, 25 Aug 2014 11:32:14 -0700
