=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
 Build-Depends: debhelper (>= 9), bison, dh-autoreconf, flex,
- libcairo2-dev, libcanberra-gtk-dev, libfreetype6-dev, libglib2.0-dev,
- libgmp-dev, libgtk2.0-dev, libgtkglext1-dev, libncurses-dev, libpng-dev,
- libreadline-dev, libsqlite3-dev, lsb-release, python-dev
+ graphicsmagick, libcairo2-dev, libcanberra-gtk-dev, libfreetype6-dev,
+ libglib2.0-dev, libgmp-dev, libgtk2.0-dev, libgtkglext1-dev,
+ libncurses-dev, libpng-dev, libreadline-dev, libsqlite3-dev, lsb-release,
+ python-dev
 Build-Depends-Indep: dblatex, docbook2x, docbook-xsl, texinfo, xsltproc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.gnubg.org/
 Vcs-Git: git://git.eyrie.org/debian/gnubg.git
 Vcs-Browser: http://git.eyrie.org/?p=debian/gnubg.git
