## gnubg 1.05.000

=== debian/changelog ===
gnubg (1.05.000-8) unstable; urgency=medium

  * Update glib-gettext.m4 before the build to build properly with new
    glib.  Thanks, Matthias Klose.  (Closes: #818889)

 -- Russ Allbery <rra@debian.org>  Sun, 27 Mar 2016 11:45:22 -0700

gnubg (1.05.000-7) unstable; urgency=medium

  * Switch back to the default version of GCC, since 4.9 is being removed.
    Disable optimization to work around the GCC bug that miscompiles gnubg
    (#807756), since there seem to be no good alternatives right now.
    (Closes: #818775)

 -- Russ Allbery <rra@debian.org>  Sun, 20 Mar 2016 11:49:10 -0700

gnubg (1.05.000-6) unstable; urgency=medium

  * Replace the CPU probe M4 macros before running autoreconf, where this
    might actually do some good, instead of after running autoreconf,
    where it doesn't.
  * Fix spelling of occurred in some warning messages.

 -- Russ Allbery <rra@debian.org>  Mon, 25 Jan 2016 18:38:50 -0800

gnubg (1.05.000-5) unstable; urgency=medium

  * Replace the CPU probe M4 macros at build time with versions from the
    autoconf-archive package, since the upstream ones fail CPU ID
    detection on the buildd hosts and abort configure.

 -- Russ Allbery <rra@debian.org>  Sun, 24 Jan 2016 22:18:21 -0800

gnubg (1.05.000-4) unstable; urgency=medium

  * Override the BUILD_DATE constant to be based on the debian/changelog
    date, allowing for reproducible builds.
  * Change the branch layout to follow DEP-14.
  * Run wrap-and-sort -ast on the package.
  * Refresh debian/copyright to add a few missing copyright statements and
    license variations in the build system.  No substantial changes.
  * Switch Vcs-Git and Vcs-Browser URLs to HTTPS.
  * Translation updates:
    - Portuguese (Brazilian), thanks Adriano Rafael Gomes.
      (Closes: #811518)

 -- Russ Allbery <rra@debian.org>  Sun, 24 Jan 2016 17:07:15 -0800

gnubg (1.05.000-3) unstable; urgency=medium

  * Force gcc-4.9 as the compiler, since binaries built with gcc-5
    segfault or hang during startup.  Enable PIE (and all other hardening
    flags), since hardening turned out not to be the cause of this
    problem.  Works around #807756.
  * Fix the symlinks for the DejaVu fonts for the fonts-dejavu-core
    change.

 -- Russ Allbery <rra@debian.org>  Sun, 13 Dec 2015 17:00:47 -0800

gnubg (1.05.000-2) unstable; urgency=medium

  * Change dependency from ttf-dejavu-core to fonts-dejavu-core.  Thanks,
    Andreas Schmidt.  (Closes: #788684)

 -- Russ Allbery <rra@debian.org>  Sat, 05 Dec 2015 13:50:21 -0800

gnubg (1.05.000-1) unstable; urgency=medium

  * New upstream release.
    - Upgrade the random.org code to support HTTPS.
    - Fix import and export of variants (Hypergammon, etc.) when using the
      MAT file format.
    - Minor bug fixes and cleanup.
  * Add build dependency on libcurl4-openssl-dev for random.org support.

 -- Russ Allbery <rra@debian.org>  Sun, 26 Apr 2015 20:03:49 -0700
