=== debian/control ===
Source: gnubg
Section: games
Priority: optional
Maintainer: Russ Allbery <rra@debian.org>
Build-Depends:
 autoconf-archive,
 bison,
 debhelper (>= 9),
 dh-autoreconf,
 flex,
 graphicsmagick,
 libcairo2-dev,
 libcanberra-gtk-dev,
 libcurl4-openssl-dev,
 libfreetype6-dev,
 libglib2.0-dev,
 libgmp-dev,
 libgtk2.0-dev,
 libgtkglext1-dev,
 libncurses-dev,
 libpng-dev,
 libreadline-dev,
 libsqlite3-dev,
 lsb-release,
 python-dev,
Build-Depends-Indep:
 dblatex,
 docbook-xsl,
 docbook2x,
 texinfo,
 xsltproc,
Standards-Version: 3.9.6
Homepage: http://www.gnubg.org/
Vcs-Git: https://git.eyrie.org/git/debian/gnubg.git
Vcs-Browser: https://git.eyrie.org/?p=debian/gnubg.git

Package: gnubg
Architecture: any
Depends:
 gnubg-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 gnubg-data (<< 0.90+20120127-1~),
Suggests:
 kbackgammon,
Description: graphical or console backgammon program with analysis
 GNU Backgammon is a strong backgammon program (world-class with a bearoff
 database installed) usable either as an engine by other programs or as a
 standalone backgammon game.  In addition to supporting simple play, it
 also has extensive analysis features, a tutor mode, adjustable
 difficulty, and support for exporting annotated games.  It can be played
 either from a GTK+ graphical interface, optionally with a 3D board, or
 from a simple text console.

Package: gnubg-data
Architecture: all
Depends:
 fonts-dejavu-core,
 ${misc:Depends},
Recommends:
 gnubg (>= ${source:Version}),
Description: data files for GNU Backgammon
 GNU Backgammon is a strong backgammon program (world-class with a bearoff
 database installed) usable either as an engine by other programs or as a
 standalone backgammon game.  In addition to supporting simple play, it
 also has extensive analysis features, a tutor mode, adjustable
 difficulty, and support for exporting annotated games.
 .
 This package contains the data files needed by GNU Backgammon (textures
 sounds, locale information, neural network weights, and so forth).
