=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,26 @@
 #!/usr/bin/make -f
 
-# Enable compiler hardening flags.  Do not enable PIE; it interferes with
-# some of the things that gnubg does to probe for supported CPU
-# instructions.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+# Enable compiler hardening flags.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Add --as-needed to drop a few unnecessary dependencies.
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+# Disable optimization because gcc-5 miscompiles gnubg and causes it to hang
+# at startup.  See #807756.
+export DEB_BUILD_OPTIONS = noopt
+
+# Determine the build date from the last changelog entry, putting it back
+# into the same format as the __DATE__ C preprocessor define.
+BUILD_DATE := $(shell dpkg-parsechangelog | grep ^Date: \
+	| sed -e 's/^Date: .*, \([0-9]*\) \([^ ]*\) \([0-9]*\).*/\2 \1 \3/')
+
+# Replace the following upstream-supplied GCC probes with the latest
+# versions from the autoconf-archive package, since otherwise i386 CPU
+# detection fails on the buildds and the package can't be built.  Replace
+# upstream glib-gettext.m4 for compatibility with newer glib.
+REPLACE_M4 = ax_ext.m4 ax_gcc_x86_avx_xgetbv.m4 ax_gcc_x86_cpuid.m4 \
+	glib-gettext.m4
 
 # Only build with SSE on amd64.  We can't assume that processor for i386,
 # and it fails to build on ia64 since GCC there doesn't support -msse or
@@ -22,11 +36,22 @@
 	dh $@ --with autoreconf
 
 override_dh_autoreconf:
+	set -e; for m4 in $(REPLACE_M4); do		\
+	    mv m4/"$$m4" m4/"$$m4".old;			\
+	    cp /usr/share/aclocal/"$$m4" m4/"$$m4";	\
+	done
 	dh_autoreconf --as-needed
 
+# Replace the upstream-supplied GCC probes with the latest versions from the
+# autoconf-archive package, since otherwise i386 CPU detection fails on the
+# buildds and the package can't be built.
+#
+# Override BUILD_DATE based on the debian/changelog date so that we have
+# reproducible builds.
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gtk --with-board3d --with-sqlite \
 	    --with-python --enable-threads $(SSE)
+	echo '#define BUILD_DATE $(BUILD_DATE)' >> config.h
 
 # Disable building the rollout databases during an architecture-specific
 # build.  It takes too long and is too large.  We'll instead build the
@@ -46,8 +71,10 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/gnubg
 	rm debian/gnubg/usr/share/gnubg/gnubg_ts0.bd
 	rm -r debian/gnubg/usr/share/gnubg/fonts
+	gunzip debian/gnubg/usr/share/man/man6/gnubg.6.gz
 	perl -i -pe 's/^(gnubg\s+)-(bcd\S+)/$$1\\fB\\-$$2\\fR/' \
 	    debian/gnubg/usr/share/man/man6/gnubg.6
+	gzip debian/gnubg/usr/share/man/man6/gnubg.6
 	mv debian/gnubg/usr/bin debian/gnubg/usr/games
 	install -d debian/gnubg/usr/share/applications
 	install -m 644 debian/gnubg.desktop \
@@ -63,21 +90,29 @@
 	    debian/gnubg/usr/share/gnubg/gnubg.wd
 	mv debian/gnubg/usr/share/locale debian/gnubg-data/usr/share/
 	install -d debian/gnubg-data/usr/share/gnubg/fonts
-	ln -s ../../fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
+	ln -s ../../fonts/truetype/dejavu/DejaVuSans.ttf \
 	    debian/gnubg-data/usr/share/gnubg/fonts/Vera.ttf
-	ln -s ../../fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf \
+	ln -s ../../fonts/truetype/dejavu/DejaVuSans-Bold.ttf \
 	    debian/gnubg-data/usr/share/gnubg/fonts/VeraBd.ttf
-	ln -s ../../fonts/truetype/ttf-dejavu/DejaVuSerif-Bold.ttf \
+	ln -s ../../fonts/truetype/dejavu/DejaVuSerif-Bold.ttf \
 	    debian/gnubg-data/usr/share/gnubg/fonts/VeraSeBd.ttf
 	install -d debian/gnubg-data/usr/share/doc/gnubg
 	mv debian/gnubg/usr/share/doc/gnubg/images \
 	    debian/gnubg-data/usr/share/doc/gnubg/
 	mv debian/gnubg/usr/share/doc/gnubg/*.html \
 	    debian/gnubg-data/usr/share/doc/gnubg/
-	install -m 644 doc/*.pdf debian/gnubg-data/usr/share/doc/gnubg/
 	install -d debian/gnubg/usr/share/doc/gnubg/examples
 	mv debian/gnubg-data/usr/share/gnubg/scripts/query_player.sh \
 	    debian/gnubg/usr/share/doc/gnubg/examples/
+	install -m 644 doc/*.pdf debian/gnubg-data/usr/share/doc/gnubg/
+
+override_dh_installmenu:
+	mkdir -p debian/gnubg/usr/share/pixmaps
+	gm convert debian/gnubg/usr/share/icons/hicolor/16x16/apps/gnubg.png \
+	    debian/gnubg/usr/share/pixmaps/gnubg_16x16.xpm
+	gm convert debian/gnubg/usr/share/icons/hicolor/32x32/apps/gnubg.png \
+	    debian/gnubg/usr/share/pixmaps/gnubg_32x32.xpm
+	dh_installmenu
 
 override_dh_installchangelogs:
 	dh_installchangelogs -i ChangeLog
@@ -90,5 +125,9 @@
 override_dh_compress:
 	dh_compress -X.pdf
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
+# Replace the upstream M4 files.
+override_dh_clean:
+	dh_clean
+	set -e; for m4 in $(REPLACE_M4); do				\
+	    [ ! -f m4/"$$m4".old ] || mv m4/"$$m4".old m4/"$$m4";	\
+	done
