## gnubg 1.05.002

=== debian/changelog ===
gnubg (1.05.002-2) unstable; urgency=medium

  * Build the two-sided bearoff database by default if the debconf prompt
    is suppressed.  On nearly all modern systems, this is reasonably fast,
    and the prompt is at the normal level and therefore may be suppressed
    for a lot of people.  (Closes: #854906)

 -- Russ Allbery <rra@debian.org>  Sat, 11 Feb 2017 18:22:49 -0800

gnubg (1.05.002-1) unstable; urgency=medium

  * New upstream release.
    - Fix improper definitions of __attribute__ and _GNU_SOURCE that
      caused infinite loops during startup with newer versions of GCC.
      (Closes: #807756)
    - Remove some subpar random number generators.
    - Various bug fixes.
  * Drop spelling patch, applied upstream
  * Fix spelling error in gtkgame.c.
  * Update standards version to 3.9.8 (no changes required).
  * Fix duplicated words and incorrect name of GPL in debian/copyright
    (which makes it not match the source gettext file, but the meaning is
    now clearer, so seems like an adequate tradeoff).

 -- Russ Allbery <rra@debian.org>  Sat, 02 Jul 2016 14:10:15 -0700
