=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  docbook2x,
  texinfo,
  xsltproc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.gnubg.org/
 Vcs-Git: https://git.eyrie.org/git/debian/gnubg.git
 Vcs-Browser: https://git.eyrie.org/?p=debian/gnubg.git
