=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,6 @@
 
 # Add --as-needed to drop a few unnecessary dependencies.
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
-# Disable optimization because gcc-5 miscompiles gnubg and causes it to hang
-# at startup.  See #807756.
-export DEB_BUILD_OPTIONS = noopt
 
 # Determine the build date from the last changelog entry, putting it back
 # into the same format as the __DATE__ C preprocessor define.
