## gnubg 1.06.001

=== debian/changelog ===
gnubg (1.06.001-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:54:26 +0000

gnubg (1.06.001-1) unstable; urgency=medium

  * New upstream release.
    - Various bug fixes to edit mode.
    - Distinguish Crawford games from post-Crawford ones.
    - Add Isight count to the Race Theory widget.
    - Fix crash on export to HTML.  (LP: #1680223)
  * Mark gnubg-data as Multi-Arch: foreign.
  * Add Rules-Requires-Root: no.
  * Update to debhelper compatibility level V11.
    - Remove now-unnecessary dh_autoreconf dependency and add-on.
  * Update to standards version 4.1.2.
    - Remove the menu file.
    - Switch to https for the debian/copyright format URL.
  * Remove trailing whitespace in debian/changelog.

 -- Russ Allbery <rra@debian.org>  Sat, 23 Dec 2017 14:57:33 -0800
