=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gnubg
 Section: games
 Priority: optional
-Maintainer: Russ Allbery <rra@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
 Build-Depends:
  autoconf-archive,
  bison,
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 11),
  flex,
  graphicsmagick,
  libcairo2-dev,
@@ -29,7 +29,8 @@
  docbook2x,
  texinfo,
  xsltproc,
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.1.2
 Homepage: http://www.gnubg.org/
 Vcs-Git: https://git.eyrie.org/git/debian/gnubg.git
 Vcs-Browser: https://git.eyrie.org/?p=debian/gnubg.git
@@ -55,6 +56,7 @@
 
 Package: gnubg-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  fonts-dejavu-core,
  ${misc:Depends},
