=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,11 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
+# Replace the upstream-supplied GCC probes with the latest versions from the
+# autoconf-archive package, since otherwise i386 CPU detection fails on the
+# buildds and the package can't be built.
 override_dh_autoreconf:
 	set -e; for m4 in $(REPLACE_M4); do		\
 	    mv m4/"$$m4" m4/"$$m4".old;			\
@@ -38,10 +41,6 @@
 	done
 	dh_autoreconf --as-needed
 
-# Replace the upstream-supplied GCC probes with the latest versions from the
-# autoconf-archive package, since otherwise i386 CPU detection fails on the
-# buildds and the package can't be built.
-#
 # Override BUILD_DATE based on the debian/changelog date so that we have
 # reproducible builds.
 override_dh_auto_configure:
@@ -79,6 +78,7 @@
 	install -d debian/gnubg/usr/lib/gnubg
 	install -d debian/gnubg-data/usr/share
 	mv debian/gnubg/usr/share/gnubg debian/gnubg-data/usr/share/
+	mv debian/gnubg/usr/share/doc debian/gnubg-data/usr/share/
 	mv debian/gnubg-data/usr/share/gnubg/gnubg.wd \
 	    debian/gnubg/usr/lib/gnubg/gnubg.wd
 	install -d debian/gnubg/usr/share/gnubg
@@ -92,15 +92,9 @@
 	    debian/gnubg-data/usr/share/gnubg/fonts/VeraBd.ttf
 	ln -s ../../fonts/truetype/dejavu/DejaVuSerif-Bold.ttf \
 	    debian/gnubg-data/usr/share/gnubg/fonts/VeraSeBd.ttf
-	install -d debian/gnubg-data/usr/share/doc/gnubg
-	mv debian/gnubg/usr/share/doc/gnubg/images \
-	    debian/gnubg-data/usr/share/doc/gnubg/
-	mv debian/gnubg/usr/share/doc/gnubg/*.html \
-	    debian/gnubg-data/usr/share/doc/gnubg/
 	install -d debian/gnubg/usr/share/doc/gnubg/examples
 	mv debian/gnubg-data/usr/share/gnubg/scripts/query_player.sh \
 	    debian/gnubg/usr/share/doc/gnubg/examples/
-	install -m 644 doc/*.pdf debian/gnubg-data/usr/share/doc/gnubg/
 
 override_dh_installmenu:
 	mkdir -p debian/gnubg/usr/share/pixmaps
