## gnubg 1.06.002

=== debian/changelog ===
gnubg (1.06.002-5) unstable; urgency=medium

  * Add ax_python_devel.m4 to the list of files replaced from
    autoconf-archive, fixing compilation against Python 3.10.  Thanks,
    Graham Inggs and Igor Gnatenko.
  * Remove --as-needed from the build, since this is now the default.
  * Fix spelling error in description of the sound command.
  * Convert the encoding of met/ortega.xml to UTF-8.
  * Update debian/watch to version 4 and use ftp.gnu.org as the source of
    new upstream versions, since files.gnubg.org has gone away.
  * Add a Lintian overrides file to suppress some false positives.
  * Change the canonical Git repository to Salsa.
  * Convert the source package to git-debrebase from quilt.
  * Change default packaging branch to debian/unstable.
  * Update debhelper compatibility level to V13.
  * Update standards version to 4.6.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 29 Jan 2022 10:58:34 -0800

gnubg (1.06.002-4) unstable; urgency=medium

  * Bump package version without other changes due to a dgit upload
    failure after it had committed to consuming the version number.

 -- Russ Allbery <rra@debian.org>  Wed, 23 Oct 2019 20:19:00 -0700

gnubg (1.06.002-3) unstable; urgency=medium

  * Build against Python 3 instead of Python 2.  (Closes: #936627)
  * Fix syntax of date command handling SOURCE_DATE_EPOCH.
  * Uncompress the man pages after the upstream install rule and before
    dh_installman runs to work around an apparent change in behavior in
    dh_installman.
  * Update standards version to 4.4.1 (no changes required).
  * Add missing comma to gnubg-data long description.
  * Remove some extraneous details from the gnubg-data long description.

 -- Russ Allbery <rra@debian.org>  Wed, 23 Oct 2019 17:06:22 -0700

gnubg (1.06.002-2) unstable; urgency=medium

  * Increase the size of static buffers used to build messages during
    program start so that the Spanish translation doesn't overflow a
    buffer.  (Closes: #932351)
  * Change upstream homepage to the gnu.org page, since www.gnubg.org has
    been taken down at least temporarily.
  * Update to debhelper compatibility level V11.
    - Depend on debhelper-compat instead of using debian/compat.
  * Update standards version to 4.4.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 21 Jul 2019 12:15:00 -0700

gnubg (1.06.002-1) unstable; urgency=medium

  * New upstream release.
    - Fix cube value when clicking on a chequers tray in edit mode.
  * Add Suggests on sensible-utils, since sensible-browser is used to
    launch an external browser to report an upstream bug if wanted.
  * Remove Suggests of kbackgammon, which is no longer in Debian.
  * Determine override of __DATE__ macro from SOURCE_EPOCH_DATE via
    /usr/share/dpkg/pkg-info.mk and post-processing with the date command
    rather than parsing the output of dpkg-parsechangelog.
  * Update standards version to 4.2.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 26 Aug 2018 15:02:10 -0700
