=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,22 @@
 #!/usr/bin/make -f
+
+# Get SOURCE_DATE_EPOCH.
+include /usr/share/dpkg/pkg-info.mk
 
 # Enable compiler hardening flags.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# Add --as-needed to drop a few unnecessary dependencies.
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
-# Determine the build date from the last changelog entry, putting it back
-# into the same format as the __DATE__ C preprocessor define.
-BUILD_DATE := $(shell dpkg-parsechangelog | grep ^Date: \
-	| sed -e 's/^Date: .*, \([0-9]*\) \([^ ]*\) \([0-9]*\).*/\2 \1 \3/')
+# Determine the build date from SOURCE_DATE_EPOCH, putting it back into the
+# same format as the __DATE__ C preprocessor define.
+BUILD_DATE := $(shell LC_ALL=C date -d'@$(SOURCE_DATE_EPOCH)' +'%b %e %Y')
 
 # Replace the following upstream-supplied GCC probes with the latest
 # versions from the autoconf-archive package, since otherwise i386 CPU
 # detection fails on the buildds and the package can't be built.  Replace
-# upstream glib-gettext.m4 for compatibility with newer glib.
+# ax_python_devel.m4 for compatibility with Python 3.10.  Replace upstream
+# glib-gettext.m4 for compatibility with newer glib.
 REPLACE_M4 = ax_ext.m4 ax_gcc_x86_avx_xgetbv.m4 ax_gcc_x86_cpuid.m4 \
-	glib-gettext.m4
+	ax_python_devel.m4 glib-gettext.m4
 
 # Only build with SSE on amd64.  We can't assume that processor for i386,
 # and it fails to build on ia64 since GCC there doesn't support -msse or
@@ -39,13 +39,13 @@
 	    mv m4/"$$m4" m4/"$$m4".old;			\
 	    cp /usr/share/aclocal/"$$m4" m4/"$$m4";	\
 	done
-	dh_autoreconf --as-needed
+	dh_autoreconf
 
 # Override BUILD_DATE based on the debian/changelog date so that we have
 # reproducible builds.
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gtk --with-board3d --with-sqlite \
-	    --with-python --enable-threads $(SSE)
+	    --with-python=/usr/bin/python3 --enable-threads $(SSE)
 	echo '#define BUILD_DATE $(BUILD_DATE)' >> config.h
 
 # Disable building the rollout databases during an architecture-specific
@@ -66,10 +66,9 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/gnubg
 	rm debian/gnubg/usr/share/gnubg/gnubg_ts0.bd
 	rm -r debian/gnubg/usr/share/gnubg/fonts
-	gunzip debian/gnubg/usr/share/man/man6/gnubg.6.gz
+	gunzip debian/gnubg/usr/share/man/man6/*.6.gz
 	perl -i -pe 's/^(gnubg\s+)-(bcd\S+)/$$1\\fB\\-$$2\\fR/' \
 	    debian/gnubg/usr/share/man/man6/gnubg.6
-	gzip debian/gnubg/usr/share/man/man6/gnubg.6
 	mv debian/gnubg/usr/bin debian/gnubg/usr/games
 	install -d debian/gnubg/usr/share/applications
 	install -m 644 debian/gnubg.desktop \
