=== debian/watch ===
# Upstream does provide a PGP signature, but the key that signed the
# release has no user ID, so the signature cannot be processed.

version=4
https://ftp.gnu.org/gnu/@PACKAGE@/ \
    @PACKAGE@-release-@ANY_VERSION@-sources@ARCHIVE_EXT@
